{% extends 'base.html' %}
{% load static %} 

{% block content %}
<main class="d-flex justify-content-center align-items-center flex-column py-3 mt-5">
  <h1 style="color:#36ABAF">Register</h1>
  <h5 class="mb-5 text-danger">{{error}}</h5>
  <form
    method="POST"
    action="{% url 'authentication:register' %}"
    class="d-flex flex-column col-lg-4 col-md-6 col-11"
  >
    {% csrf_token %}
    <div id="choose-role">
      <p>Pilih jenis akun yang akan dibuat</p>
      <select class="form-control mb-3" name="role" id="role-select">
        <option selected disabled>Pilih...</option>
        <option value="adminsistem">Admin Sistem</option>
        <option value="adminsatgas">Admin Satgas</option>
        <option value="penggunapublik">Pengguna Publik</option>
        <option value="dokter">Dokter</option>
      </select>
      <div class="d-flex justify-content-center">
        <button class="btn btn-primary col-12" id="btn-role">Pilih</button>
      </div>
    </div>
    <div id="role-form">
    </div>

    <div class="justify-content-between d-none mb-5" id="bottom-button">
      <button class="btn btn-secondary col-md-4 col-5" id="btn-back" data-role-active ="">Kembali</button>
      <button class="btn btn-primary col-md-4 col-5">Daftar</button>
    </div>
  </form>
</main>

{% endblock content %}
{% block app_js %}
  <script src="{% static 'authentication/js/register.js' %}"></script>
{% endblock app_js %}
